AsterNet Class Library (Sandcastle documentation)

| AGIScript GetData Method (String, Int64, Int32)

Plays the given file and waits for the user to enter DTMF digits until he presses '#' or the timeout occurs or the maximum number of digits has been entered. The user may interrupt the streaming by starting to enter digits.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected string GetData(
    	string file,
    	long timeout,
    	int maxDigits
    )

    Protected Function GetData (
    	file As String,
    	timeout As Long,
    	maxDigits As Integer
    ) As String

    protected:
    String^ GetData(
    	String^ file,
    	long long timeout,
    	int maxDigits
    )

    member GetData :
            file : string *
            timeout : int64 *
            maxDigits : int -> string

#### Parameters

file
  Type: System
  String
  the name of the file to play
timeout
  Type: System
  Int64
  the timeout in milliseconds to wait for user input.
  0 means standard timeout value, -1 means "ludicrous time" (essentially never times out).
maxDigits
  Type: System
  Int32
  the maximum number of digits the user is allowed to enter

#### Return Value

Type: String
a String containing the DTMF the user entered
See Also

#### Reference

AGIScript Class
GetData Overload
AsterNET.FastAGI Namespace